Subject: bug#21738: 25.0.50; eww freezes/crashes at times

From: Kaushal Modi <[email-masked]>
Date: Fri, 23 Oct 2015 10:41:34 -0400

> Is your Imagemagick up-to-date?  If not, perhaps this is some bug in
> Imagemagick that was already fixed, so upgrading might fix it.  Or
> maybe downgrade to some previous version.

I am on a fairly recent version: 6.8.9.1 (The latest as of today is 6.9.2.4).

> Another idea woukd be to ask on emacs-devel which versions of
> Imagemagick do people use who can successfully display that page.

Will do.

> I don't.  That's why I thought about building without it.

OK. Have you felt any reason to ever build with Imagemagick because
emacs built without it lacked any feature you needed?

> It seems to be related, because the backtrace also points to that
> function:
>
>   #0 0x0000003a9840eb9e in ?? () from /usr/lib64/libgomp.so.1
>   #1 0x00007ffff60875f8 in MagickCoreTerminus ()
>   from /home/kmodi/usr_local/6/lib/libMagickCore-6.Q16.so.2
>   #2 0x00007ffff604a584 in DefaultFatalErrorHandler ()
>   from /home/kmodi/usr_local/6/lib/libMagickCore-6.Q16.so.2
>   #3 0x00007ffff604adb2 in CatchException () from
>   /home/kmodi/usr_local/6/lib/libMagickCore-6.Q16.so.2
>   #4 0x00007ffff621f6c8 in UnregisterTIFFImage ()  <<<<<<<<<<<<<<<<<<<<<<
>   from /home/kmodi/usr_local/6/lib/libMagickCore-6.Q16.so.2
>   #5 0x00007ffff60f6580 in UnregisterStaticModules ()
>   from /home/kmodi/usr_local/6/lib/libMagickCore-6.Q16.so.2
>   #6 0x00007ffff6087638 in MagickCoreTerminus ()
>   from /home/kmodi/usr_local/6/lib/libMagickCore-6.Q16.so.2
>   #7 0x0000000000692ac9 in imagemagick_load_image (f=0x12afcb0, img=0x1dc7f20,
>   contents=0x1e72668 "\211PNG\r\n\032\n", size=134459, filename=0x0) at
>
> According to this, the function UnregisterStaticModules generated a
> fatal exception.  I don't quite understand how "memory allocation
> failed" can be explained by "No such file or directory", but then I'm
> not familiar with Imagemagick in general and with that function in
> particular.

OK.

> The images on that page are PNG image files.  Can you display PNG
> image files with an Emacs compiled with Imagemagick support, or does
> Emacs hang (or crash) with every PNG file?

You know what, I always thought that I can display PNG files in emacs.
In the version built with Imagemagick, it even successfully displayed
a PNG file.

C-x C-f SOMEFILE.png

When in the same buffer when I did

C-x C-f SOMEOTHERFILE.png

my emacs froze just like in that eww experiment!

So just the first png displayed fine.